Package com.nwalsh.saxon

# Class ImageIntrinsics

java.lang.Object
com.nwalsh.saxon.ImageIntrinsics

All Implemented Interfaces:
  `ImageObserver`

public class ImageIntrinsics extends Object implements ImageObserver

Saxon extension to examine intrinsic size of images

$Id: ImageIntrinsics.java 5480 2005-12-06 18:56:52Z kosek $

Copyright (C) 2002 Norman Walsh.

This class provides a Saxon extension to find the intrinsic size of images.

Change Log:

1.0

  Initial release.

## Field Summary

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`ImageIntrinsics(String imageFn)`
Constructor for ImageIntrinsics

## Method Summary

Modifier and Type
Method
Description
`int`
`getDepth(int defaultDepth)`
`int`
`getWidth(int defaultWidth)`
`boolean`
`imageUpdate(Image img, int infoflags, int x, int y, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImageIntrinsics

public ImageIntrinsics(String imageFn)

Constructor for ImageIntrinsics

## Method Details

### getWidth

public int getWidth(int defaultWidth)

### getDepth

public int getDepth(int defaultDepth)

### imageUpdate

public boolean imageUpdate(Image img, int infoflags, int x, int y, int width, int height)

Specified by:
  `imageUpdate` in interface `ImageObserver`